/******************************************************************************
  I order to make compatible binary files. The byte order has to 
  be Most Significant Byte first. The hton* and ntoh* functions make 
  this code portable to most platforms.
******************************************************************************/

#include <sys/types.h>
#include <stdio.h>
#include <netinet/in.h>

int f_read( void  *ptr,  size_t  size, size_t nmemb, FILE
       *stream)
{
    int res,i;
    switch (size) {
      case sizeof(char):
        res = fread(  ptr,  size, nmemb, stream );
        break;
      case sizeof(unsigned short int):
        res =  fread(  ptr,  size, nmemb, stream );
        for (i = 0; i < res; i++)
        {
            ((unsigned short int*)ptr)[i] = ntohs(((unsigned short int*)ptr)[i]);
        }
        break;
      case sizeof(unsigned long int):
        res =  fread(  ptr,  size, nmemb, stream );
        for (i = 0; i < res; i++)
        {
            ((unsigned long int*)ptr)[i] = ntohl(((unsigned long int*)ptr)[i]);
        }
        break;
      default:
	/* It might be a ide to make a error in this situation. */
	res = fread( ptr, size, nmemb, stream );
        break;
    }
    return res;
}

int f_write(  void *ptr, size_t  size,  size_t  nmemb,  FILE
       *stream)
{
    int res,i;
    switch (size) {
      case sizeof(char):
        res = fwrite(  ptr,  size, nmemb, stream );
        break;
      case sizeof(unsigned short int):
	res = 0;
        for (i = 0; i < nmemb; i++)
        {
            unsigned short int out = htons( ((unsigned short int*)ptr)[i] );
            res += fwrite( & out , size, 1, stream);
        }
        break;
      case sizeof(unsigned long int):
        res = 0;
        for (i = 0; i < nmemb; i++)
        {
            unsigned long int out = htonl( ((unsigned long int*)ptr)[i] );
            res += fwrite( & out , size, 1, stream);
        }
        break;
      default:
        /* It might be a ide to make a error in this situation. */
        res = fwrite( ptr, size, nmemb, stream );
        break;
    }
    return res;
}
