#!/bin/sh
#
# The Gauntlet Campaign - Pierre Bureau - 28/07/01
#
# With this serie of predefined battles for XbattleAi, player
# is controling the army of the great Alarian Empire in a
# fantasy world. The empire has to face the starting invasion
# of barbarian armies from the North. North barbarian tribes
# are usually too desorganised to coordinate an invasion but 
# this time they seem to be controlled by a powerful and
# mysterious leader.

#
# This script will be improved... a lot...
# I need to learn how to use awk first.
#

version=0.0.1
dir=./gauntletCampaign
option=Gauntlet.xbo

if [ -n "$1" ]
then
	ai_skill=$1
else
	ai_skill=2
fi

Story1="\
Around Orizan, a border city of the North march, rumours of raids\n\
from the Wasted Land have grown bigger and bigger during the last\n\
couple of months. And now from the forest north of the city,\n\
horified farmers report a quite impresive Barbarian army marching\n\
toward Orizan. The imperial army prepares to face this new raid.\n"
Tip1="\
\t-Use the attack command for massive attacks (aim tgt cell+press a)\n\
\t-Use the repeat command for quick march (right click)\n\
\t-Forest slows down troops\n\
\t-The forest is full of small villages, take control of them...\n\
\t-You now the terrain, but not where your enemy is...\n"

Story2="\n\n\n\
The raid on Orizan has been defeated, but the Barbarians are\n\
suprisingly well organized and numerous. This raid was probably\n\
the first wave of a bigger invasion scheme. A large army is\n\
rushing into the North march, the Imperial 13th elite corp has\n\
been sent to stop the barbarians. The battle will take place on\n\
the wide plain of Larmiz, which is quite densely populated.\n"
Tip2="\
\t-Take control of all the towns\n\
\t-Higher cells are hard to attack and easy to defend\n"

Story3="\n\n\n\
After the Larmiz plain victory, imperial scouts have spotted a\n\
large barbarian camp, right on the border of the North March.\n\
Usually, tribes don't gather in such a big and well organized\n\
army. This is a very serious matter for the Emperor. To\n\
definitively stop this invasion attempt, imperial commanders have\n\
decided to attack and destroy the barbarian camp, which is protected\n\
by a row of high hills\n"
Tip3="\
\t-Terrain is unknown, explore as fast as you can\n\
\t-You will need supply to survive, take control of towns\n"

victory="\n\n\n\
\t\t YOU ARE VICTORIOUS!\n\
\n\
The Barbarians camp has been destroyed by the mighty Empire's army.\n\
However, evidence has been found proving that the barbarian tribes\n\
have been gathered by a powerful leader. Barbarian war commanders were\n\
carying shields and oriflams, depicting the symbol of an iron Gauntlet.\n\
War prisoners are talking about a huge force awaking in the North,\n\
someone with godlike power is buildind an army to invade the Empire.\n\
\n\
Wait for the full Gauntlet Campaign release to defend the Alarian\n\
Empire against Barbarian hordes. Will you succeed to defeat this\n\
mysterious force from the North...\n"

defeat="\n\n\n\
\t\t YOU HAVE BEEN DEFEATED!\n\
\n\
The imperial army has failed to beat the first wave of the Barbarian\n\
invasion scheme. Battles in the heart of the Empire's territory will\n\
be tougher and cost more lives.\n\
\n\
Wait for the full Gauntlet Campaign release for war to continue...\n\
\n\
\tAnd until then try again to defeat the first invasion wave!\n"



echo -e \
"\n\n\t\t The Gauntlet Campaign - v$version\n\
\n\
In year 3.675 AD of the imperial calendar, the Great Alarian Empire\n\
has enjoyed nearly three hundred years of peace. However, the North\n\
march is still continuously guarded as barbarian tribes are\n\
wandering through the harsh, cold and devasted Tundra of the Wasted\n\
Land. Greedily seeking for the Empire's wealth, barbarians raids\n\
are quite common.\n\n"

echo -e $Story1
echo -e "GAME TIPS:"
echo -e $Tip1

echo -e "\tPress ENTER to continue"
read

xbattle -$dir/$option -ai 1 2 $ai_skill -load $dir/level1 -horizon 3

if [ 10 -eq $? ]
then
        clear
        echo -e $Story2
        echo -e "GAME TIPS:"
	echo -e $Tip2
                	
	echo -e "\tPress ENTER to continue"
	read

	xbattle -$dir/$option -ai 1 2 $ai_skill -load $dir/level1.1 -horizon 4

        if [ 10 -eq $? ]
        then
                clear
                echo -e $Story3
        	echo -e "GAME TIPS:"
		echo -e $Tip3
                	
		echo -e "\tPress ENTER to continue"
		read
                
                xbattle -$dir/$option -ai 1 2 $ai_skill -load $dir/level1.2 -localmap -map -horizon 2

                if [ 10 -eq $? ]
        	then
                        clear
                        echo -e $victory
                else
                        clear
                        echo -e $defeat
                fi     
        else
                clear
                echo -e $defeat
        fi
else
        clear
        echo -e $defeat
fi
